
\name{
insertMatrix
}

\alias{
insertMatrix
}

\title{
Display the contents of a matrix in a Gnumeric worksheet.
}

\description{
 
This populates a range of cells in a Gnumeric
worksheet with the values from an R matrix.

}

\usage{
insertMatrix
(
m
,
.sheet
,
start
= 
c(1, 1)
,
end
= 
NULL
,
headers
= 
T
,
rowNames
= 
T
)
}

\arguments{
 \item{
m
}{
   
The R matrix whose values are to be displayed in the Gnumeric
worksheet.

 }

 \item{
.sheet
}{
   
The Gnumeric worksheet into which the values of the matrix are
to be added.

 }

 \item{
start
}{
   
The location of the cell giving the top-left row and column into which
the values are to be inserted.
This is a vector of length 2.

 }

 \item{
end

ignored
}{
   
 }

 \item{
headers
}{
   
A logical value indicating whether to also display
the column names when showing the matrix.
These will be inserted above the 
columns of the matrix values in the starting 
row.

 }

 \item{
rowNames
}{
   
a logical value indicating whether to 
also display the names of the rows
in the matrix. If this is ,
the values will be displayed on the left
of the matrix in the first column specified
by .

 }
}

\details{
This uses the overloaded 

\code{\link{[}}

method for the
GnumericSheetRef class.
}

\value{}

\references{}

\author{
\url{http://cm.bell-labs.com/stat/duncan}
}

\note{}

\seealso{
\code{\link{[}}

\url{}
}

\examples{
   

This illustrates the two ways to insert a matrix into the


	x <- matrix(rnorm(50), 10, 5)
        .sheet[3, 2] <- x
        insertMatrix(x, .sheet, c(3,2))

}

\keyword{ 
interface
}
